import { ImperativeError } from "@brightside/imperative";
/**
 * The DB2 response
 * @export
 * @interface IDB2Response
 */
export interface IDB2Response {
    /**
     * True if the DB2 statement was executed without error
     * @type {boolean}
     * @memberof IDB2Response
     */
    success: boolean;
    /**
     * List of SQL execution results
     * @type {any[]}
     * @memberof IDB2Response
     */
    results: any[];
    /**
     * Message in case of error
     * @type {ImperativeError}
     * @memberof IDB2Response
     */
    failureResponse: ImperativeError;
}
