import { ICommandHandler, IHandlerParameters } from "@brightside/imperative";
import { IDB2Parameter } from "../../../";
/**
 * Command handler for calling a DB2 stored procedure
 * @export
 * @class ProcedureHandler
 * @implements {ICommandHandler}
 */
export default class ProcedureHandler implements ICommandHandler {
    /**
     * Parse the passed values and create an array of OUTPUT parameters
     * @param {any[]} parameters Values of parameters
     * @returns {IDB2Parameter[]}
     */
    static parseParameters(parameters: any[]): IDB2Parameter[];
    process(params: IHandlerParameters): Promise<void>;
}
