import { ITaskWithStatus } from "@brightside/imperative";
/**
 * This interface defines the options that can be sent into the upload data set function
 */
export interface IUploadOptions {
    /**
     * The volume where the data set resides
     */
    volume?: string;
    /**
     * The indicator to upload the data set in binary mode
     */
    binary?: boolean;
    /**
     * The migrated recall option
     * @example "wait, nowait, error"
     */
    recall?: string;
    /**
     * Task status object used by CLI handlers to create progress bars
     * for certain upload requests such as directory to PDS
     * Optional
     */
    task?: ITaskWithStatus;
    /**
     * The indicator to upload the directories recursively
     */
    recursive?: boolean;
    /**
     * The list of files to be uploaded in binary mode
     */
    binary_files?: string;
    /**
     * The list of files to be uploaded in ASCII mode
     */
    ascii_files?: string;
}
