/**
 * Process utility to wrap callback process routines into promises
 * @export
 * @class ProcessUtils
 */
export declare class ProcessUtils {
    /**
     * Throw imperative error or return parsed data
     * @static
     * @template T - type to parse
     * @param {string} data - string input data to parse as JSON
     * @param {string} [failMessage="Parse of " + data + " failed"] - failure message
     * @returns {T} - parsed object
     * @memberof JSONUtils
     */
    /**
     * Turn nextTick into a promise to prevent nesting
     * @static
     * @param {() => void} callback - called before promise is resolved
     * @param {...any[]} args - arguments passed to the callback
     * @returns {Promise<void>} - fullfilled whenever callback is invoked
     * @memberof ProcessUtils
     */
    static nextTick(callback: (...args: any[]) => void, ...args: any[]): Promise<void>;
}
