# Zowe Binaries - Bill of Materials

## Zowe PAX 

| File Path | Description | Source Location | Build Script(s) | 
| --------- | ----------- | --------------- | --------------- |
| <>/zowe-*.pax | PAX file containing all Zowe z/OS Components | Multiple open source repositories within [zowe](https://www.github.com/zowe) | [zowe-install-packaging](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |  
| files/ZLUX.pax | PAX Archive containing Zowe Desktop Core Components | [zlux sources](https://www.github.com/zowe/zlux) | [zlux build](https://www.github.com/zowe/zlux-build) | 
| files/api-mediation-package-*.pax | PAX Archive containing Zowe API Mediation Layer Components | [api layer sources](https://www.github.com/zowe/api-layer) | [api-layer pipeline](https://github.com/zowe/api-layer/blob/master/Jenkinsfile) |
| files/assets/api-catalog.png | Zowe API Mediation Layer image | [zowe-install-packaging](https://www.github.com/zowe/zowe-install-packaging/tree/master/files/assets/) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| files/data-sets-api-server-*-boot.jar | Java binaries - Zowe Data-Sets REST API Server | [data-sets sources](https://www.github.com/zowe/data-sets) | [data-sets pipeline](https://github.com/zowe/data-sets/blob/master/Jenkinsfile) |
| files/explorer-jes-*.pax | PAX Archive containing Zowe Desktop JES Plugin | [explorer-jes sources](https://www.github.com/zowe/explorer-jes) | [explorer-jes pipeline](https://github.com/zowe/explorer-jes/blob/master/Jenkinsfile) | 
| files/explorer-mvs-*.pax | PAX Archive containing Zowe Desktop MVS Plugin | [explorer-mvs sources](https://www.github.com/zowe/explorer-mvs) | [explorer-mvs pipeline](https://github.com/zowe/explorer-mvs/blob/master/Jenkinsfile) | 
| files/explorer-uss-*.pax | PAX Archive containing Zowe Desktop USS Plugin | [explorer-uss sources](https://www.github.com/zowe/explorer-uss) | [explorer-uss pipeline](https://github.com/zowe/explorer-uss/blob/master/Jenkinsfile) |
| files/jobs-api-server-*-boot.jar | Java binaries - Zowe Jobs REST API Server | [jobs sources](https://www.github.com/zowe/jobs) | [jobs pipeline](https://github.com/zowe/jobs/blob/master/Jenkinsfile) |
| files/scripts/data-sets-api-server-start.sh | Zowe Data-Sets REST API Server Startup Script | [data-sets](https://github.com/zowe/data-sets/tree/master/data-sets-zowe-server-package/src/main/resources/scripts) | [data-sets pipeline](https://github.com/zowe/data-sets/blob/master/Jenkinsfile) |
| files/scripts/jobs-api-server-start.sh | Zowe Jobs REST API Server Startup Script | [jobs](https://github.com/zowe/jobs/tree/master/jobs-zowe-server-package/src/main/resources/scripts) | [jobs pipeline](https://github.com/zowe/jobs/blob/master/Jenkinsfile) |
| files/templates/ZOWESVR.jcl | Zowe Startup JCL Template | [zowe-install-packaging](https://github.com/zowe/zowe-install-packaging/tree/master/files/templates) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| files/zss.pax | Zowe ZSS Cross-Memory Server | [zss](https://github.com/zowe/zss) | [zss build scripts](https://github.com/zowe/zss/tree/master/build) | 
| install/zowe-check-prereqs.sh | Script to check required environment configuration(s) | [zowe-install-packaging](https://www.github.com/zowe/zowe-install-packaging) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| install/zowe-install-apf-server.sh  | Script to install the Zowe ZSS Cross-Memory Server | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/install) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| install/zowe-install-apf-server.yaml | Configuration File for Zowe ZSS Server automated installation | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/install) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| /manifest.json | Zowe PAX Manifest | [zowe-install-packaging](https://github.com/zowe/zowe-install-packaging/blob/master/manifest.json) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| install/zowe-install.sh | Script to initiate Zowe automated installation | [zowe-install-packaging/install](https://github.com/zowe/zowe-install-packaging/) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| install/zowe-install.yaml | Configuration File for Zowe automated installation | [zowe-install-packaging/install](https://github.com/zowe/zowe-install-packaging/tree/master/install) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| licenses/zowe_licenses.zip | License archive for Zowe third party dependencies | n/a | Build coming soon |  
| scripts/ocopyshr.clist | A CList to copy a USS file to a PDS member | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/ocopyshr.sh | Script to copy a uss JCL file to a shared PDS | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/opercmd | REXX file to issue z/OS console commands | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/run-zowe.sh | Script which runs under Zowe STC, starts all Zowe components | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |   
| scripts/zlux-install-script.sh | Script which extracts and install Zowe Desktop from ZLUX.pax | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-api-mediation-configure.sh | Script which configures Zowe API Mediation Layer installation | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-api-mediation-install.sh  | Script which installs Zowe API Mediation Layer from api-mediation PAX | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-config-stc.sh | Script which configures the Zowe STC | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-copy-proc.sh | Script to copy a JCL file from USS to a PROCLIB dataset | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-explorer-api-configure.sh | Script to configure the Zowe Explorer Jobs and Data sets REST API servers | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-explorer-api-install.sh |  Script to install the Zowe Explorer Jobs and Data sets REST API servers | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-explorer-ui-configure.sh | Script to configure the Zowe Desktop JES, MVS, and USS Plugins | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-explorer-ui-install.sh | Script to install the Zowe Desktop JES, MVS, and USS Plugins | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-init.sh | Script to set environment variables used in Zowe automated installation | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-install-existing-plugin.sh | Script to install a Zowe Desktop Plugin | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-install-iframe-plugin.sh | Script to install a Zowe Desktop iFrame Plugin | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-parse-yaml.sh | Script to parse YAML variables from the Zowe configuration file | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-prepare-runtime.sh | Script to set Zowe Desktop directory permissions | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-runtime-authorize.sh | Script to set Zowe Desktop extattr attributes and directory permissions | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-start.sh | Script to run Zowe from USS by invoking the Zowe STC | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-stop.sh | Script to stop Zowe from USS by canelling the Zowe STC | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-verify.sh | Script to validate Zowe install is correct | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-zlux-configure-certificates.sh | Script to configure Zowe Desktop Certificates | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zowe-zlux-configure-ports.sh | Script to configure the Zowe Desktop ports from the Zowe configuration file | [zowe-install-packaging/scripts](https://github.com/zowe/zowe-install-packaging/tree/master/scripts) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) | 
| scripts/zss/zowe-xmem-apf.sh | Script to APF-authorize a Loadlib |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| scripts/zss/zowe-check-access.sh | Script to check user access permissions |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| scripts/zss/zowe-xmem-check-if-pdse.sh | Script to check if a dataset is PDSE formatted |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| scripts/zss/zowe-xmem-check-profile.sh | Script to check a security definition |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| scripts/zss/zowe-xmem-check-stc-profile.sh | Script to check an STC profile |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| scripts/zss/zowe-xmem-check-user.sh | Script to check user definition in SAF |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| scripts/zss/zowe-xmem-dataset-exists.sh | Script to check if a dataset exists |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| scripts/zss/zowe-xmem-define-stc-profile.sh | Script to define an STC prefix to SAF |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| scripts/zss/zowe-xmem-define-stc-user.sh | Script to define an STC user to SAF |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| scripts/zss/zowe-xmem-define-xmem-profile.sh | Script to define cross-memory server profile |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| scripts/zss/zowe-xmem-deploy-loadmodule.sh | Script to copy a load module to loadlib |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| scripts/zss/zowe-xmem-deploy-parmlib.sh | Script to copy a member to a parmlib |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| scripts/zss/zowe-xmem-deploy-proclib.sh | Script tp copy a member to a proclib |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| scripts/zss/zowe-xmem-parse-yaml.sh | Script to parse configuration file for Zowe ZSS Server |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| scripts/zss/zowe-xmem-permit.sh | Script to grant a user READ access to a PROFILE  |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |
| scripts/zss/zowe-xmem-ppt.sh | Script to read Program Properties Table for Zowe ZSS Server |  [zowe-install-packaging/scripts/zss](https://github.com/zowe/zowe-install-packaging/tree/master/scripts/zss) | [install-packaging pipeline](https://github.com/zowe/zowe-install-packaging/blob/master/Jenkinsfile) |

## Zowe CLI Package  

| File Path | Description | Source Location | Build Script(s) | 
| --------- | ----------- | --------------- | --------------- |
| <>/zowe-cli-package-*.zip | Zowe CLI Package containing the core Zowe CLI as well as Zowe CLI Plugins | Multiple open source repositories within [zowe](https://www.github.com/zowe) | [zowe-cli-standalone-package pipeline](https://github.com/zowe/zowe-cli-standalone-package/blob/master/Jenkinsfile) |  
| zowe-cli-*.tgz | Zowe CLI | [zowe-cli](https://github.com/zowe/zowe-cli/) | [zowe-cli pipeline](https://github.com/zowe/zowe-cli/blob/master/Jenkinsfile) |
| zowe-cics-*.tgz | Zowe CLI Plug-in for IBM® CICS® | [zowe-cli-cics-plugin](https://github.com/zowe/zowe-cli-cics-plugin) | [zowe-cli-cics-plugin pipeline](https://github.com/zowe/zowe-cli-cics-plugin/blob/master/Jenkinsfile) | 
| zowe-db2-*.tgz | Zowe CLI Plug-in for IBM® Db2® for z/OS® | [zowe-cli-db2-plugin](https://github.com/zowe/zowe-cli-db2-plugin) | [zowe-cli-db2-plugin pipeline](https://github.com/zowe/zowe-cli-db2-plugin/blob/master/Jenkinsfile) | 
    
